.vue-modal-top,
.vue-modal-bottom,
.vue-modal-left,
.vue-modal-right,
.vue-modal-topRight,
.vue-modal-topLeft,
.vue-modal-bottomLeft,
.vue-modal-bottomRight {
    display: block;
    overflow: hidden;
    position: absolute;
    background: transparent;
    z-index: 9999999;
}

.vue-modal-topRight,
.vue-modal-topLeft,
.vue-modal-bottomLeft,
.vue-modal-bottomRight {
    width: 12px;
    height: 12px;
}

.vue-modal-top {
    right: 12;
    top: 0;
    width: 100%;
    height: 12px;
    cursor: n-resize;
}

.vue-modal-bottom {
    left: 0;
    bottom: 0;
    width: 100%;
    height: 12px;
    cursor: s-resize;
}

.vue-modal-left {
    left: 0;
    top: 0;
    width: 12px;
    height: 100%;
    cursor: w-resize;
}

.vue-modal-right {
    right: 0;
    top: 0;
    width: 12px;
    height: 100%;
    cursor: e-resize;
}

.vue-modal-topRight {
    right: 0;
    top: 0;
    background: transparent;
    cursor: ne-resize;
}

.vue-modal-topLeft {
    left: 0;
    top: 0;
    cursor: nw-resize;
}

.vue-modal-bottomLeft {
    left: 0;
    bottom: 0;
    cursor: sw-resize;
}

.vue-modal-bottomRight {
    right: 0;
    bottom: 0;
    cursor: se-resize;
}

#vue-modal-triangle::after {
    display: block;
    position: absolute;
    content: '';
    background: transparent;
    left: 0;
    top: 0;
    width: 0;
    height: 0;
    border-bottom: 10px solid #ddd;
    border-left: 10px solid transparent;
}

#vue-modal-triangle.clicked::after {
    border-bottom: 10px solid #369be9;
}


.vm--block-scroll {
    overflow: hidden;
    width: 100vw;
}

.vm--container {
    position: fixed;
    box-sizing: border-box;
    left: 0;
    top: 0;
    width: 100%;
    height: 100vh;
    z-index: 999;
}

.vm--overlay {
    position: fixed;
    box-sizing: border-box;
    left: 0;
    top: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0, 0, 0, 0.2);
    /* z-index: 999; */
    opacity: 1;
}

.vm--container.scrollable {
    height: 100%;
    min-height: 100vh;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
}

.vm--modal {
    position: relative;
    overflow: hidden;
    box-sizing: border-box;

    background-color: white;
    border-radius: 3px;
    box-shadow: 0 20px 60px -2px rgba(27, 33, 58, 0.4);
}

.vm--container.scrollable .vm--modal {
    margin-bottom: 2px;
}

.vm--top-right-slot {
    display: block;
    position: absolute;
    right: 0;
    top: 0;
}

.vm-transition--overlay-enter-active,
.vm-transition--overlay-leave-active {
    transition: all 50ms;
}

.vm-transition--overlay-enter,
.vm-transition--overlay-leave-active {
    opacity: 0;
}

.vm-transition--modal-enter-active,
.vm-transition--modal-leave-active {
    transition: all 400ms;
}

.vm-transition--modal-enter,
.vm-transition--modal-leave-active {
    opacity: 0;
    transform: translateY(-20px);
}

.vm-transition--default-enter-active,
.vm-transition--default-leave-active {
    transition: all 2ms;
}

.vm-transition--default-enter,
.vm-transition--default-leave-active {
    opacity: 0;
}


.vue-dialog {
    font-size: 14px;
}

.vue-dialog div {
    box-sizing: border-box;
}

.vue-dialog-content {
    flex: 1 0 auto;
    width: 100%;
    padding: 14px;
}

.vue-dialog-content-title {
    font-weight: 600;
    padding-bottom: 14px;
}

.vue-dialog-buttons {
    display: flex;
    flex: 0 1 auto;
    width: 100%;
    border-top: 1px solid #eee;
}

.vue-dialog-buttons-none {
    width: 100%;
    padding-bottom: 14px;
}

.vue-dialog-button {
    font-size: inherit;
    background: transparent;
    padding: 0;
    margin: 0;
    border: 0;
    cursor: pointer;
    box-sizing: border-box;
    line-height: 40px;
    height: 40px;
    color: inherit;
    font: inherit;
    outline: none;
}

.vue-dialog-button:hover {
    background: #f9f9f9;
}

.vue-dialog-button:active {
    background: #f3f3f3;
}

.vue-dialog-button:not(:first-of-type) {
    border-left: 1px solid #eee;
}


.vue-popover {
    display: block;
    position: absolute;
    background: #fff;
    box-shadow: 0px 4px 20px 0px rgba(52, 73, 94, 0.2);
    padding: 5px;
    border-radius: 5px;
    z-index: 998
}

.vue-popover:before {
    display: block;
    position: absolute;
    width: 0;
    height: 0;
    content: ''
}

.vue-popover.dropdown-position-bottom:before {
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-bottom: 6px solid #fff;
    top: -6px;
    left: calc(50% - 6px);
    filter: drop-shadow(0px -2px 2px rgba(52, 73, 94, 0.1))
}

.vue-popover.dropdown-position-top:before {
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-top: 6px solid #fff;
    bottom: -6px;
    left: calc(50% - 6px);
    filter: drop-shadow(0px 2px 2px rgba(52, 73, 94, 0.1))
}

.vue-popover.dropdown-position-left:before {
    border-top: 6px solid transparent;
    border-bottom: 6px solid transparent;
    border-left: 6px solid #fff;
    right: -6px;
    top: calc(50% - 6px);
    filter: drop-shadow(2px 0px 2px rgba(52, 73, 94, 0.1))
}

.vue-popover.dropdown-position-right:before {
    border-top: 6px solid transparent;
    border-bottom: 6px solid transparent;
    border-right: 6px solid #fff;
    left: -6px;
    top: calc(50% - 6px);
    filter: drop-shadow(-2px 0px 2px rgba(52, 73, 94, 0.1))
}

@font-face {
    font-family: "applied-button-font-0";
    src: url(data:application/x-font-woff;charset=utf-8;base64,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) format("woff")
}

/*!
 * file: Web V4 CSS
 * version: H368016-1767863045
 */
/*!
 *    888       888          888               d8888       .d8888b.
 *    888   o   888          888              d8P888      d88P  Y88b
 *    888  d8b  888          888             d8P 888      888    888
 *    888 d888b 888  .d88b.  88888b.        d8P  888      888    888
 *    888d88888b888 d8P  Y8b 888 "88b      d88   888      888    888
 *    88888P Y88888 88888888 888  888      8888888888     888    888
 *    8888P   Y8888 Y8b.     888 d88P            888  d8b Y88b  d88P
 *    888P     Y888  "Y8888  88888P"             888  Y8P  "Y8888P"
 */
@font-face {
    font-family: harmonyos-sans;
    font-weight: 400;
    src: url("/assets-htx/fonts/regular.woff2") format("woff2")
}

@font-face {
    font-family: harmonyos-sans;
    font-weight: 500;
    src: url("/assets-htx/fonts/medium.woff2") format("woff2")
}

@font-face {
    font-family: harmonyos-sans;
    font-weight: 700;
    src: url("/assets-htx/fonts/bold.woff2") format("woff2")
}

@font-face {
    font-family: harmonyos-sans-sc;
    font-weight: 400;
    src: url("/assets-htx/fonts/regular-sc.woff2") format("woff2")
}

@font-face {
    font-family: harmonyos-sans-sc;
    font-weight: 500;
    src: url("/assets-htx/fonts/medium-sc.woff2") format("woff2")
}

@font-face {
    font-family: harmonyos-sans-sc;
    font-weight: 700;
    src: url("/assets-htx/fonts/bold-sc.woff2") format("woff2")
}

@font-face {
    font-family: harmonyos-sans-tc;
    font-weight: 400;
    src: url("https://www.htx.com/web-v4/fonts/harmonyos-sans-tc-subset/regular.woff2?m=040d20e3ba1061d52ddb90fdd9b28bd7") format("woff2")
}

@font-face {
    font-family: harmonyos-sans-tc;
    font-weight: 500;
    src: url("https://www.htx.com/web-v4/fonts/harmonyos-sans-tc-subset/medium.woff2?m=9c1334ed93e173db60c29e691ba99e35") format("woff2")
}

@font-face {
    font-family: harmonyos-sans-tc;
    font-weight: 700;
    src: url("https://www.htx.com/web-v4/fonts/harmonyos-sans-tc-subset/bold.woff2?m=3db2086e753e0139821b98460ed8b04f") format("woff2")
}

html:not([data-v4-lang=zh-cn]):not([data-v4-lang=zh-tc]) {
    font-family: harmonyos-sans,"PingFang SC","Microsoft YaHei","Helvetica Neue",Arial,sans-serif
}

html[data-v4-lang=zh-cn] {
    font-family: harmonyos-sans-sc,"PingFang SC","Microsoft YaHei","Helvetica Neue",Arial,sans-serif
}

html[data-v4-lang=zh-tc] {
    font-family: harmonyos-sans-tc,"PingFang SC","Microsoft YaHei","Helvetica Neue",Arial,sans-serif
}

body,button,input,select,textarea {
    font-family: inherit!important
}

:root {
    --color-primary-white: rgba(255, 255, 255, 1);
    --color-primary-black: rgba(0, 0, 0, 1);
    --color-primary-black_p40: rgba(0, 0, 0, 0.4);
    --color-primary-black_p60: rgba(0, 0, 0, 0.6);
    --color-gray-light-100: rgba(250, 250, 250, 1);
    --color-gray-light-200: rgba(245, 245, 245, 1);
    --color-gray-light-300: rgba(235, 235, 235, 1);
    --color-gray-light-400: rgba(221, 221, 221, 1);
    --color-gray-light-500: rgba(179, 179, 179, 1);
    --color-gray-light-600: rgba(140, 140, 140, 1);
    --color-gray-light-700: rgba(89, 89, 89, 1);
    --color-gray-light-800: rgba(77, 77, 77, 1);
    --color-gray-dark-100: rgba(22, 22, 22, 1);
    --color-gray-dark-200_p50: rgba(43, 43, 43, 0.5);
    --color-gray-dark-200: rgba(31, 31, 31, 1);
    --color-gray-dark-300: rgba(38, 38, 38, 1);
    --color-gray-dark-400: rgba(51, 51, 51, 1);
    --color-gray-dark-500: rgba(95, 95, 95, 1);
    --color-gray-dark-600: rgba(77, 77, 77, 1);
    --color-gray-dark-700: rgba(130, 130, 130, 1);
    --color-gray-dark-800: rgba(153, 153, 153, 1);
    --color-blue-01: rgba(0, 127, 255, 1);
    --color-blue-01_p10: rgba(0, 127, 255, 0.1);
    --color-blue-01_p20: rgba(0, 127, 255, 0.2);
    --color-purple-02: rgba(88, 78, 238, 1);
    --color-blue-03: rgba(39, 198, 218, 1);
    --color-red-classic-01: rgba(242, 73, 102, 1);
    --color-red-01: rgba(236, 64, 122, 1);
    --color-green-01: rgba(102, 187, 106, 1);
    --color-purple-01: rgba(197, 102, 213, 1);
    --color-red-classic-01_p10: rgba(242, 73, 102, 0.1);
    --color-red-classic-01_p20: rgba(242, 73, 102, 0.2);
    --color-red-classic-02: rgba(217, 65, 91, 1);
    --color-red-modern-01: rgba(178, 16, 18, 1);
    --color-red-modern-02: rgba(255, 65, 91, 1);
    --color-red-modern-03_p20: rgba(255, 0, 0, 0.2);
    --color-red-modern-04_p20: rgba(215, 115, 125, 0.2);
    --color-green-classic-01: rgba(7, 176, 103, 1);
    --color-green-classic-01_p10: rgba(7, 176, 103, 0.1);
    --color-green-classic-01_p20: rgba(7, 176, 103, 0.2);
    --color-green-classic-02: rgba(6, 153, 92, 1);
    --color-green-modern-01: rgba(35, 104, 8, 1);
    --color-green-modern-02: rgba(104, 179, 0, 1);
    --color-green-modern-02_p20: rgba(104, 179, 0, 0.2);
    --color-green-modern-03: rgba(142, 214, 112, 1);
    --color-green-modern-01_p20: rgba(90, 191, 40, 0.2);
    --color-orange-01: rgba(255, 149, 0, 1);
    --color-orange-01_p10: rgba(255, 149, 0, 0.1);
    --color-orange-01_p20: rgba(255, 149, 0, 0.2);
    --color-orange-02: rgba(255, 192, 66, 1)
}

html[data-v4-theme=light] {
    --Text-L1: var(--color-primary-black);
    --Text-L2: var(--color-gray-light-700);
    --Text-L3: var(--color-gray-light-600);
    --Text-L4: var(--color-gray-light-500);
    --Background-L1: var(--color-primary-white);
    --Background-PopUp: var(--color-primary-white);
    --Background-L2: var(--color-gray-light-100);
    --Background-L3: var(--color-gray-light-200);
    --Background-Toast: var(--color-gray-light-800);
    --Border-L1: var(--color-gray-light-400);
    --Border-L2: var(--color-gray-light-300);
    --Button-Blue-Fill: var(--color-blue-01);
    --Button-Blue-Text: var(--color-primary-white);
    --Button-Green-Fill: var(--color-green-classic-01);
    --Button-Green-Text: var(--color-primary-white);
    --Functional-Blue: var(--color-blue-01);
    --Functional-Green: var(--color-green-classic-01);
    --Functional-Red: var(--color-red-classic-01);
    --Functional-Blue_bg: var(--color-blue-01_p10);
    --Text-Green: var(--color-green-classic-01);
    --Functional-Green_bg: var(--color-green-classic-01_p10);
    --Text-Red: var(--color-red-classic-01);
    --Functional-Red_bg: var(--color-red-classic-01_p10);
    --Functional-Orange: var(--color-orange-01);
    --Functional-Orange_bg: var(--color-orange-01_p10);
    --Functional-White: var(--color-primary-white);
    --Functional-black: var(--color-primary-black);
    --Overlay-mask: var(--color-primary-black_p40);
    --Button-Red-Fill: var(--color-red-classic-01);
    --Button-Red-Text: var(--color-primary-white);
    --kline-ma1: var(--color-purple-01);
    --kline-ma2: var(--color-blue-03);
    --kline-ma3: var(--color-purple-02);
    --kline-ma4: var(--color-red-01);
    --kline-ma5: var(--color-orange-01);
    --kline-ma6: var(--color-orange-02);
    --kline-ma7: var(--color-green-01);
    --kline-ma8: var(--color-blue-01)
}

html[data-v4-theme=dark] {
    --Text-L1: var(--color-primary-white);
    --Text-L2: var(--color-gray-dark-800);
    --Text-L3: var(--color-gray-dark-700);
    --Text-L4: var(--color-gray-dark-500);
    --Background-L1: var(--color-primary-black);
    --Background-PopUp: var(--color-gray-dark-100);
    --Background-L2: var(--color-gray-dark-200_p50);
    --Background-L3: var(--color-gray-dark-200);
    --Background-Toast: var(--color-gray-dark-600);
    --Border-L1: var(--color-gray-dark-400);
    --Border-L2: var(--color-gray-dark-300);
    --Button-Blue-Fill: var(--color-blue-01);
    --Button-Blue-Text: var(--color-primary-white);
    --Button-Green-Fill: var(--color-green-classic-02);
    --Button-Green-Text: var(--color-primary-white);
    --Functional-Blue: var(--color-blue-01);
    --Functional-Green: var(--color-green-classic-02);
    --Functional-Red: var(--color-red-classic-02);
    --Functional-Blue_bg: var(--color-blue-01_p20);
    --Text-Green: var(--color-green-classic-02);
    --Functional-Green_bg: var(--color-green-classic-01_p20);
    --Text-Red: var(--color-red-classic-02);
    --Functional-Red_bg: var(--color-red-classic-01_p20);
    --Functional-Orange: var(--color-orange-01);
    --Functional-Orange_bg: var(--color-orange-01_p20);
    --Functional-White: var(--color-primary-white);
    --Functional-black: var(--color-primary-black);
    --Overlay-mask: var(--color-primary-black_p60);
    --Button-Red-Fill: var(--color-red-classic-02);
    --Button-Red-Text: var(--color-primary-white);
    --kline-ma1: var(--color-purple-01);
    --kline-ma2: var(--color-blue-03);
    --kline-ma3: var(--color-purple-02);
    --kline-ma4: var(--color-red-01);
    --kline-ma5: var(--color-orange-01);
    --kline-ma6: var(--color-orange-02);
    --kline-ma7: var(--color-green-01);
    --kline-ma8: var(--color-blue-01)
}

html[data-v4-theme=modern-light] {
    --Text-L1: var(--color-primary-black);
    --Text-L2: var(--color-gray-light-700);
    --Text-L3: var(--color-gray-light-600);
    --Text-L4: var(--color-gray-light-500);
    --Background-L1: var(--color-primary-white);
    --Background-PopUp: var(--color-primary-white);
    --Background-L2: var(--color-gray-light-100);
    --Background-L3: var(--color-gray-light-200);
    --Background-Toast: var(--color-gray-light-800);
    --Border-L1: var(--color-gray-light-400);
    --Border-L2: var(--color-gray-light-300);
    --Button-Blue-Fill: var(--color-primary-black);
    --Button-Blue-Text: var(--color-primary-white);
    --Button-Green-Fill: var(--color-green-modern-02_p20);
    --Button-Green-Text: var(--color-green-modern-01);
    --Functional-Blue: var(--color-blue-01);
    --Functional-Green: var(--color-green-modern-02);
    --Functional-Red: var(--color-red-modern-02);
    --Functional-Blue_bg: var(--color-blue-01_p10);
    --Text-Green: var(--color-green-modern-01);
    --Functional-Green_bg: var(--color-green-modern-02_p20);
    --Text-Red: var(--color-red-modern-01);
    --Functional-Red_bg: var(--color-red-modern-04_p20);
    --Functional-Orange: var(--color-orange-01);
    --Functional-Orange_bg: var(--color-orange-01_p10);
    --Functional-White: var(--color-primary-white);
    --Functional-black: var(--color-primary-black);
    --Overlay-mask: var(--color-primary-black_p40);
    --Button-Red-Fill: var(--color-red-modern-04_p20);
    --Button-Red-Text: var(--color-red-modern-01);
    --kline-ma1: var(--color-purple-01);
    --kline-ma2: var(--color-blue-03);
    --kline-ma3: var(--color-purple-02);
    --kline-ma4: var(--color-red-01);
    --kline-ma5: var(--color-orange-01);
    --kline-ma6: var(--color-orange-02);
    --kline-ma7: var(--color-green-01);
    --kline-ma8: var(--color-blue-01)
}

html[data-v4-theme=modern-dark] {
    --Text-L1: var(--color-primary-white);
    --Text-L2: var(--color-gray-dark-800);
    --Text-L3: var(--color-gray-dark-700);
    --Text-L4: var(--color-gray-dark-500);
    --Background-L1: var(--color-primary-black);
    --Background-PopUp: var(--color-gray-dark-100);
    --Background-L2: var(--color-gray-dark-200_p50);
    --Background-L3: var(--color-gray-dark-200);
    --Background-Toast: var(--color-gray-dark-600);
    --Border-L1: var(--color-gray-dark-400);
    --Border-L2: var(--color-gray-dark-300);
    --Button-Blue-Fill: var(--color-primary-white);
    --Button-Blue-Text: var(--color-primary-black);
    --Button-Green-Fill: var(--color-green-modern-01_p20);
    --Button-Green-Text: var(--color-green-modern-03);
    --Functional-Blue: var(--color-blue-01);
    --Functional-Green: var(--color-green-modern-03);
    --Functional-Red: var(--color-red-modern-02);
    --Functional-Blue_bg: var(--color-blue-01_p20);
    --Text-Green: var(--color-green-modern-03);
    --Functional-Green_bg: var(--color-green-modern-01_p20);
    --Text-Red: var(--color-red-modern-02);
    --Functional-Red_bg: var(--color-red-modern-03_p20);
    --Functional-Orange: var(--color-orange-01);
    --Functional-Orange_bg: var(--color-orange-01_p20);
    --Functional-White: var(--color-primary-white);
    --Functional-black: var(--color-primary-black);
    --Overlay-mask: var(--color-primary-black_p60);
    --Button-Red-Fill: var(--color-red-modern-03_p20);
    --Button-Red-Text: var(--color-red-modern-02);
    --kline-ma1: var(--color-purple-01);
    --kline-ma2: var(--color-blue-03);
    --kline-ma3: var(--color-blue-01);
    --kline-ma4: var(--color-red-01);
    --kline-ma5: var(--color-orange-01);
    --kline-ma6: var(--color-orange-02);
    --kline-ma7: var(--color-green-01);
    --kline-ma8: var(--color-blue-01)
}

@font-face {
    font-family: htx-icon;
    src: url('https://www.htx.com/web-v4/fonts/htx-icon.woff2?m=36f4642f3b923911df6cd9064d6659bb') format('woff2')
}

.htx-icon {
    font-family: htx-icon!important;
    font-size: 16px;
    font-style: normal;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale
}

.htx-icon-edit-2-outline:before {
    content: "\e65f"
}

.htx-icon-picture-outline:before {
    content: "\e65a"
}

.htx-icon-user-outline:before {
    content: "\e65b"
}

.htx-icon-gift-3-outline:before {
    content: "\e65c"
}

.htx-icon-order-outline:before {
    content: "\e65d"
}

.htx-icon-link-outline1:before {
    content: "\e65e"
}

.htx-icon-custom-outline:before {
    content: "\e659"
}

.htx-icon-collateral-swap-outline:before {
    content: "\e658"
}

.htx-icon-hollow-kline-outline:before {
    content: "\e652"
}

.htx-icon-are-chart-outline:before {
    content: "\e653"
}

.htx-icon-rise-hollow-outline:before {
    content: "\e654"
}

.htx-icon-solid-kline-outline:before {
    content: "\e655"
}

.htx-icon-fall-hollow-outline:before {
    content: "\e656"
}

.htx-icon-histogram-outline:before {
    content: "\e657"
}

.htx-icon-dm-id-outline:before {
    content: "\e651"
}

.htx-icon-change-idcard:before {
    content: "\e64f"
}

.htx-icon-idcard-outline:before {
    content: "\e64e"
}

.htx-icon-passport-outline:before {
    content: "\e650"
}

.htx-icon-this-account-outline:before {
    content: "\e64c"
}

.htx-icon-driver-outline:before {
    content: "\e64d"
}

.htx-icon-pie-chart-outline:before {
    content: "\e64a"
}

.htx-icon-percent-outline:before {
    content: "\e64b"
}

.htx-icon-buy-outline:before {
    content: "\e649"
}

.htx-icon-history-3-outline:before {
    content: "\e648"
}

.htx-icon-calendar:before {
    content: "\e647"
}

.htx-icon-a-flashexchange:before {
    content: "\e645"
}

.htx-icon-a-bulktrade:before {
    content: "\e646"
}

.htx-icon-quick-trade:before {
    content: "\e644"
}

.htx-icon-transfer:before {
    content: "\e642"
}

.htx-icon-recharge:before {
    content: "\e643"
}

.htx-icon-c2c:before {
    content: "\e641"
}

.htx-icon-unlock:before {
    content: "\e63f"
}

.htx-icon-lock:before {
    content: "\e640"
}

.htx-icon-arrow:before {
    content: "\e63e"
}

.htx-icon-correct-outline:before {
    content: "\e63d"
}

.htx-icon-close:before {
    content: "\e63c"
}

.htx-icon-copy:before {
    content: "\e63b"
}

.htx-icon-rocket-outline:before {
    content: "\e632"
}

.htx-icon-coupon:before {
    content: "\e63a"
}

.htx-icon-a-cleanup:before {
    content: "\e639"
}

.htx-icon-countdown:before {
    content: "\e637"
}

.htx-icon-notice:before {
    content: "\e638"
}

.htx-icon-community-share:before {
    content: "\e634"
}

.htx-icon-community-comment:before {
    content: "\e635"
}

.htx-icon-community-thumbs-up:before {
    content: "\e636"
}

.htx-icon-float-top-outline:before {
    content: "\e633"
}

.htx-icon-trend-outline:before {
    content: "\e631"
}

.htx-icon-support-outline:before {
    content: "\e624"
}

.htx-icon-gift-outline:before {
    content: "\e62b"
}

.htx-icon-gift-2-outline:before {
    content: "\e62d"
}

.htx-icon-add-outline1:before {
    content: "\e61b"
}

.htx-icon-home-outline:before {
    content: "\e61c"
}

.htx-icon-filter-outline:before {
    content: "\e61d"
}

.htx-icon-help-outline:before {
    content: "\e61e"
}

.htx-icon-history-outline:before {
    content: "\e61f"
}

.htx-icon-video-outline:before {
    content: "\e620"
}

.htx-icon-k-line-outline:before {
    content: "\e621"
}

.htx-icon-history-2-outline:before {
    content: "\e622"
}

.htx-icon-edit-outline1:before {
    content: "\e623"
}

.htx-icon-more:before {
    content: "\e625"
}

.htx-icon-notice-outline:before {
    content: "\e626"
}

.htx-icon-return-outline:before {
    content: "\e627"
}

.htx-icon-serch-outline:before {
    content: "\e628"
}

.htx-icon-star:before {
    content: "\e629"
}

.htx-icon-reminder-outline:before {
    content: "\e62a"
}

.htx-icon-setting-outline:before {
    content: "\e62c"
}

.htx-icon-share-outline:before {
    content: "\e62e"
}

.htx-icon-plus-outline:before {
    content: "\e62f"
}

.htx-icon-star-outline:before {
    content: "\e630"
}

.htx-icon-edit-outline:before {
    content: "\e616"
}

.htx-icon-share-2-outline:before {
    content: "\e61a"
}

.htx-icon-announcement:before {
    content: "\e612"
}

.htx-icon-more-outline:before {
    content: "\e600"
}

.htx-icon-arrow-outline:before {
    content: "\e601"
}

.htx-icon-checkbox-checked:before {
    content: "\e602"
}

.htx-icon-attention-outline:before {
    content: "\e603"
}

.htx-icon-transfer-outline:before {
    content: "\e604"
}

.htx-icon-reduce-checked:before {
    content: "\e605"
}

.htx-icon-close-outline:before {
    content: "\e606"
}

.htx-icon-good-outline:before {
    content: "\e607"
}

.htx-icon-error-outline:before {
    content: "\e608"
}

.htx-icon-drop-down-outline:before {
    content: "\e609"
}

.htx-icon-refresh-outline:before {
    content: "\e60a"
}

.htx-icon-add-outline:before {
    content: "\e60b"
}

.htx-icon-announcement-outline:before {
    content: "\e60c"
}

.htx-icon-switch-outline:before {
    content: "\e60d"
}

.htx-icon-info-outline:before {
    content: "\e60e"
}

.htx-icon-success-outline:before {
    content: "\e60f"
}

.htx-icon-minus-outline:before {
    content: "\e610"
}

.htx-icon-link-outline:before {
    content: "\e611"
}

.htx-icon-checkbox:before {
    content: "\e613"
}

.htx-icon-delete-outline:before {
    content: "\e614"
}

.htx-icon-eye-off-outline:before {
    content: "\e615"
}

.htx-icon-radio-checked:before {
    content: "\e617"
}

.htx-icon-eye-on-outline:before {
    content: "\e618"
}

.htx-icon-radio:before {
    content: "\e619"
}
